Name: H5Premove
Signature:
  herr_t `H5Premove`( hid_t `plid`; const char *`name` )
Purpose:
  Removes a property from a property list.
Description:
  `H5Premove` removes a property from a property list.

  Both properties which were in existence when the property list was created (i.e. properties registered with `H5Pregister`) and properties added to the list after it was created (i.e. added with `H5Pinsert`) may be removed from a property list. Properties do not need to be removed from a property list before the list itself is closed; they will be released automatically when `H5Pclose` is called.

  If a `close` callback exists for the removed property, it will be called before the property is released.

Parameters:

hid_t `plid` | IN: Identifier of the property list to modify
const char *`name` | IN: Name of property to remove

Returns:
  Success: a non-negative value
  Failure: a negative value
Fortran90 Interface: h5premove_f

      SUBROUTINE h5premove_f(plid, name, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plid   ! Property list identifier
        CHARACTER(LEN=*), INTENT(IN) :: name ! Name of property to remove
        INTEGER, INTENT(OUT) :: hdferr       ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5premove_f